CHECKING PACKAGE COMPATIBILITY

Some third-party packages may have been developed for a specific version of Umbraco. This is typically only a problem between major versions, but is something you must keep in mind when performing the upgrade. As of Umbraco 4.5, the package repository lists what versions are supported by the particular package, as shown in Figure A-2. It is up to the developer to indicate this value, so make sure to test before deploying a package in production.

To check already-tested packages and the status of their compatibility, see the Wiki entry available on the developer's community site at http://our.umbraco.org/wiki/reference/packaging/umbraco-45-compatibility/umbraco-45-package-testing. If you have any questions, contact the package developer or see the package-specific forums (shown in Figure A-3) that are typically available for comments and bug reports.

FIGURE A-2

image

FIGURE A-3

image

Get Umbraco User's Guide now with the O’Reilly learning platform.

O’Reilly members experience live online training, plus books, videos, and digital content from nearly 200 publishers.